"""Prompt for keyword analysis."""

KEYWORD_ANALYSIS_PROMPT = """You are an expert SEO keyword researcher and semantic analysis specialist. Your task is to generate a comprehensive list of related keyword phrases based on a central keyword, using provided web content as context to inform your suggestions.

## INPUT PARAMETERS:
- **Central Keyword**: [CENTRAL_KEYWORD] (the main keyword or phrase you want to expand upon)
- **Language**: [LANGUAGE] (e.g., "English", "Polish", "Spanish")
- **Web Content Context**: [WEB_CONTENT] (provided content about the topic from web pages, which may include product descriptions, user guides, blog posts, etc.)

## TASK INSTRUCTIONS:

Generate 15-20 related keyword phrases that are semantically connected to the central keyword but represent different aspects, variations, or related concepts. The generated keywords should be:

1. **Search-engine friendly** and likely to be used in Google searches
2. **Semantically related** but not identical to the central keyword
3. **Diverse in type**: including synonyms, variations, related products, seasonal variants, technical specifications, use cases, and user intent variations
4. **Naturally flowing** in the specified language
5. **Informed by the provided web content** to ensure relevance and market alignment

## KEYWORD VARIATION TYPES TO INCLUDE:
- Synonyms and alternative terms
- Product variations and specifications
- Seasonal or temporal variants
- Use case specific terms
- Brand or quality descriptors
- Technical specifications
- User intent variations (buying, comparing, learning)
- Long-tail variations
- Related product categories

## OUTPUT FORMAT:
Respond with valid JSON only. Use this exact structure:

{
    "central_keyword": "[CENTRAL_KEYWORD]",
    "language": "[LANGUAGE]",
    "related_keywords": [
        {"keyword": "keyword phrase 1"},
        {"keyword": "keyword phrase 2"},
        {"keyword": "keyword phrase 3"}
    ]
}

## IMPORTANT GUIDELINES:
- Analyze the web content context to identify trending terms, product features, and user language patterns
- Ensure keywords sound natural and are likely search terms in the specified language
- Avoid exact duplicates of the central keyword
- Focus on commercial and informational search intent
- Consider both broad and long-tail keyword variations
- Maintain semantic relevance while exploring different angles of the topic

Generate the related keywords now based on the provided inputs.""" 